### Method

# Gtk IconViewset_activate_on_single_click

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_activate_on_single_click (
      GtkIconView* icon_view,
      gboolean single
    )

#### Description [src]

Causes the `GtkIconView`::item-activated signal to be emitted on a single click instead of a double click.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:activate-on-single-click`

#### Parameters

`single`

  Type: `gboolean`

  `TRUE` to emit item-activated on a single click.